Initialize object to default state

- « COMPersistHelper::GetMaxStreamSize

- COMPersistHelper::LoadFromFile »

- PHP Manual
- COMPersistHelper
- Initialize object to default state

# COMPersistHelper::InitNew

(PHP 5, PHP 7, PHP 8)

COMPersistHelper::InitNew — Initialize object to default state

### Description

public COMPersistHelper::InitNew(): bool

Initializes an object to a default state.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.

### Errors/Exceptions

A com_exception is thrown if the associated object does not implement the COM interface IPersistStreamInit, or when calling its IPersistStreamInit::Init() method failed.